### Hierarchy

- NodeInstanceEntity
  - ExclusiveGatewayEntity

### Implements

- IEntity
- INodeInstanceEntity
- IExclusiveGatewayEntity

## Index

### Constructors

- constructor

### Properties

- context
- entityType
- eventAggregatorSubscription
- id
- invoker
- isDirty
- isNew
- messagebusSubscription
- propertyBag
- schema
- securityService

### Accessors

- application
- eventAggregator
- follow
- iamService
- instanceCounter
- key
- messageBusService
- name
- nodeDef
- nodeInstanceEntityTypeService
- participant
- process
- processEngineService
- processToken
- state
- timingService
- type

### Methods

- boundaryEvent
- calculate
- cancel
- changeState
- end
- error
- event
- execute
- followBoundary
- fromPojo
- getCalculatedProperty
- getDatastoreService
- getEntityReference
- getLaneRole
- getNodeDef
- getProcess
- getProcessToken
- getProperty
- getPropertyLazy
- initialize
- parseExtensionProperty
- proceed
- remove
- save
- secureCompare
- setCalculatedProperty
- setProperty
- start
- toPojo
- triggerBoundaryEvent
- triggerEvent
- wait

## Constructors

### constructor

- new ExclusiveGatewayEntity(nodeInstanceEntityDependencyHelper: NodeInstanceEntityDependencyHelper, entityDependencyHelper: EntityDependencyHelper, context: ExecutionContext, schema: IInheritedSchema, propertyBag: IPropertyBag, entityType: IEntityType<IEntity>): ExclusiveGatewayEntity

- Overrides NodeInstanceEntity.constructor

  - Defined in entity_types/exclusive_gateway.ts:8

  #### Parameters

  - ##### nodeInstanceEntityDependencyHelper: NodeInstanceEntityDependencyHelper

  - ##### entityDependencyHelper: EntityDependencyHelper

  - ##### context: ExecutionContext

  - ##### schema: IInheritedSchema

  - ##### propertyBag: IPropertyBag

  - ##### entityType: IEntityType<IEntity>

  #### Returns ExclusiveGatewayEntity

## Properties

### context

context: ExecutionContext

Inherited from Entity.context

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:14

### Protected entityType

entityType: IEntityType<IEntity>

Inherited from Entity.entityType

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:17

### eventAggregatorSubscription

eventAggregatorSubscription: ISubscription = undefined

Inherited from NodeInstanceEntity.eventAggregatorSubscription

- Defined in entity_types/node_instance.ts:44

### id

id: string

Inherited from Entity.id

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:26

### Protected invoker

invoker: IInvoker

Inherited from Entity.invoker

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:16

### isDirty

isDirty: boolean

Inherited from Entity.isDirty

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:22

### isNew

isNew: boolean

Inherited from Entity.isNew

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:21

### messagebusSubscription

messagebusSubscription: Promise<IMessageSubscription> = undefined

Inherited from NodeInstanceEntity.messagebusSubscription

- Defined in entity_types/node_instance.ts:43

### Protected propertyBag

propertyBag: IPropertyBag

Inherited from Entity.propertyBag

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:19

### schema

schema: IInheritedSchema

Inherited from Entity.schema

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:15

### Protected securityService

securityService: ISecurityService

Inherited from Entity.securityService

- Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:18

## Accessors

### application

- get application(): string
- set application(value: string): void

- Inherited from NodeInstanceEntity.application

  - Defined in entity_types/node_instance.ts:157

  #### Returns string

- Inherited from NodeInstanceEntity.application

  - Defined in entity_types/node_instance.ts:161

  #### Parameters

  - ##### value: string

  #### Returns void

### Protected eventAggregator

- get eventAggregator(): IEventAggregator

- Inherited from NodeInstanceEntity.eventAggregator

  - Defined in entity_types/node_instance.ts:65

  #### Returns IEventAggregator

### follow

- get follow(): any
- set follow(value: any): void

- - Defined in entity_types/exclusive_gateway.ts:24

  #### Returns any

- - Defined in entity_types/exclusive_gateway.ts:28

  #### Parameters

  - ##### value: any

  #### Returns void

### Protected iamService

- get iamService(): IIamService

- Inherited from NodeInstanceEntity.iamService

  - Defined in entity_types/node_instance.ts:57

  #### Returns IIamService

### instanceCounter

- get instanceCounter(): number
- set instanceCounter(value: number): void

- Inherited from NodeInstanceEntity.instanceCounter

  - Defined in entity_types/node_instance.ts:179

  #### Returns number

- Inherited from NodeInstanceEntity.instanceCounter

  - Defined in entity_types/node_instance.ts:183

  #### Parameters

  - ##### value: number

  #### Returns void

### key

- get key(): string
- set key(value: string): void

- Inherited from NodeInstanceEntity.key

  - Defined in entity_types/node_instance.ts:95

  #### Returns string

- Inherited from NodeInstanceEntity.key

  - Defined in entity_types/node_instance.ts:99

  #### Parameters

  - ##### value: string

  #### Returns void

### Protected messageBusService

- get messageBusService(): IMessageBusService

- Inherited from NodeInstanceEntity.messageBusService

  - Defined in entity_types/node_instance.ts:61

  #### Returns IMessageBusService

### name

- get name(): string
- set name(value: string): void

- Inherited from NodeInstanceEntity.name

  - Defined in entity_types/node_instance.ts:86

  #### Returns string

- Inherited from NodeInstanceEntity.name

  - Defined in entity_types/node_instance.ts:90

  #### Parameters

  - ##### value: string

  #### Returns void

### nodeDef

- get nodeDef(): INodeDefEntity
- set nodeDef(value: INodeDefEntity): void

- Inherited from NodeInstanceEntity.nodeDef

  - Defined in entity_types/node_instance.ts:117

  #### Returns INodeDefEntity

- Inherited from NodeInstanceEntity.nodeDef

  - Defined in entity_types/node_instance.ts:121

  #### Parameters

  - ##### value: INodeDefEntity

  #### Returns void

### Protected nodeInstanceEntityTypeService

- get nodeInstanceEntityTypeService(): INodeInstanceEntityTypeService

- Inherited from NodeInstanceEntity.nodeInstanceEntityTypeService

  - Defined in entity_types/node_instance.ts:69

  #### Returns INodeInstanceEntityTypeService

### participant

- get participant(): string
- set participant(value: string): void

- Inherited from NodeInstanceEntity.participant

  - Defined in entity_types/node_instance.ts:148

  #### Returns string

- Inherited from NodeInstanceEntity.participant

  - Defined in entity_types/node_instance.ts:152

  #### Parameters

  - ##### value: string

  #### Returns void

### process

- get process(): IProcessEntity
- set process(value: IProcessEntity): void

- Inherited from NodeInstanceEntity.process

  - Defined in entity_types/node_instance.ts:104

  #### Returns IProcessEntity

- Inherited from NodeInstanceEntity.process

  - Defined in entity_types/node_instance.ts:108

  #### Parameters

  - ##### value: IProcessEntity

  #### Returns void

### Protected processEngineService

- get processEngineService(): IProcessEngineService

- Inherited from NodeInstanceEntity.processEngineService

  - Defined in entity_types/node_instance.ts:73

  #### Returns IProcessEngineService

### processToken

- get processToken(): IProcessTokenEntity
- set processToken(value: IProcessTokenEntity): void

- Inherited from NodeInstanceEntity.processToken

  - Defined in entity_types/node_instance.ts:166

  #### Returns IProcessTokenEntity

- Inherited from NodeInstanceEntity.processToken

  - Defined in entity_types/node_instance.ts:170

  #### Parameters

  - ##### value: IProcessTokenEntity

  #### Returns void

### state

- get state(): string
- set state(value: string): void

- Inherited from NodeInstanceEntity.state

  - Defined in entity_types/node_instance.ts:139

  #### Returns string

- Inherited from NodeInstanceEntity.state

  - Defined in entity_types/node_instance.ts:143

  #### Parameters

  - ##### value: string

  #### Returns void

### Protected timingService

- get timingService(): ITimingService

- Inherited from NodeInstanceEntity.timingService

  - Defined in entity_types/node_instance.ts:77

  #### Returns ITimingService

### type

- get type(): "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"
- set type(value: "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"): void

- Inherited from NodeInstanceEntity.type

  - Defined in entity_types/node_instance.ts:130

  #### Returns "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"

- Inherited from NodeInstanceEntity.type

  - Defined in entity_types/node_instance.ts:134

  #### Parameters

  - ##### value: "bpmn:UserTask" | "bpmn:ExclusiveGateway" | "bpmn:ParallelGateway" | "bpmn:ServiceTask" | "bpmn:StartEvent" | "bpmn:EndEvent" | "bpmn:IntermediateCatchEvent" | "bpmn:IntermediateThrowEvent" | "bpmn:ScriptTask" | "bpmn:BoundaryEvent" | "bpmn:CallActivity" | "bpmn:SubProcess"

  #### Returns void

## Methods

### boundaryEvent

- boundaryEvent(context: ExecutionContext, eventEntity: IBoundaryEventEntity, data: any, source: IEntity, applicationId: string, participant: string): Promise<void>

- Inherited from NodeInstanceEntity.boundaryEvent

  - Defined in entity_types/node_instance.ts:408

  #### Parameters

  - ##### context: ExecutionContext

  - ##### eventEntity: IBoundaryEventEntity

  - ##### data: any

  - ##### source: IEntity

  - ##### applicationId: string

  - ##### participant: string

  #### Returns Promise<void>

### calculate

- calculate(context: ExecutionContext, options?: IFromPojoOptions): Promise<void>

- Inherited from Entity.calculate

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:39

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IFromPojoOptions

  #### Returns Promise<void>

### cancel

- cancel(context: ExecutionContext): void

- Inherited from NodeInstanceEntity.cancel

  - Defined in entity_types/node_instance.ts:545

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns void

### changeState

- changeState(context: ExecutionContext, newState: string, source: INodeInstanceEntity): void

- Inherited from NodeInstanceEntity.changeState

  - Defined in entity_types/node_instance.ts:265

  #### Parameters

  - ##### context: ExecutionContext

  - ##### newState: string

  - ##### source: INodeInstanceEntity

  #### Returns void

### end

- end(context: ExecutionContext, cancelFlow?: boolean): Promise<void>

- Inherited from NodeInstanceEntity.end

  - Defined in entity_types/node_instance.ts:605

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Default value cancelFlow: boolean = false

  #### Returns Promise<void>

### error

- error(context: ExecutionContext, error: any): void

- Inherited from NodeInstanceEntity.error

  - Defined in entity_types/node_instance.ts:278

  #### Parameters

  - ##### context: ExecutionContext

  - ##### error: any

  #### Returns void

### event

- event(context: ExecutionContext, eventType: string, data: any, source: IEntity, applicationId: string, participant: string): Promise<void>

- Inherited from NodeInstanceEntity.event

  - Defined in entity_types/node_instance.ts:343

  #### Parameters

  - ##### context: ExecutionContext

  - ##### eventType: string

  - ##### data: any

  - ##### source: IEntity

  - ##### applicationId: string

  - ##### participant: string

  #### Returns Promise<void>

### execute

- execute(context: ExecutionContext): Promise<void>

- Overrides NodeInstanceEntity.execute

  - Defined in entity_types/exclusive_gateway.ts:32

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### followBoundary

- followBoundary(context: ExecutionContext): Promise<void>

- Inherited from NodeInstanceEntity.followBoundary

  - Defined in entity_types/node_instance.ts:551

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### fromPojo

- fromPojo(context: ExecutionContext, data: any, options?: IFromPojoOptions): Promise<void>

- Inherited from Entity.fromPojo

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:37

  #### Parameters

  - ##### context: ExecutionContext

  - ##### data: any

  - ##### Optional options: IFromPojoOptions

  #### Returns Promise<void>

### getCalculatedProperty

- getCalculatedProperty(propertyThisContext: any, propertyName: string, context: ExecutionContext): Promise<any>

- Inherited from Entity.getCalculatedProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:30

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### context: ExecutionContext

  #### Returns Promise<any>

### Protected getDatastoreService

- getDatastoreService(): Promise<IDatastoreService>

- Inherited from Entity.getDatastoreService

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:20

  #### Returns Promise<IDatastoreService>

### getEntityReference

- getEntityReference(): IEntityReference

- Inherited from Entity.getEntityReference

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:56

  #### Returns IEntityReference

### getLaneRole

- getLaneRole(context: ExecutionContext): Promise<string>

- Inherited from NodeInstanceEntity.getLaneRole

  - Defined in entity_types/node_instance.ts:187

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<string>

### getNodeDef

- getNodeDef(context: ExecutionContext): Promise<INodeDefEntity>

- Inherited from NodeInstanceEntity.getNodeDef

  - Defined in entity_types/node_instance.ts:125

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<INodeDefEntity>

### getProcess

- getProcess(context: ExecutionContext): Promise<IProcessEntity>

- Inherited from NodeInstanceEntity.getProcess

  - Defined in entity_types/node_instance.ts:112

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessEntity>

### getProcessToken

- getProcessToken(context: ExecutionContext): Promise<IProcessTokenEntity>

- Inherited from NodeInstanceEntity.getProcessToken

  - Defined in entity_types/node_instance.ts:174

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<IProcessTokenEntity>

### getProperty

- getProperty(propertyThisContext: any, propertyName: string): any

- Inherited from Entity.getProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:27

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  #### Returns any

### getPropertyLazy

- getPropertyLazy(propertyThisContext: any, propertyName: string, context: ExecutionContext, options?: IPrivateQueryOptions): Promise<any>

- Inherited from Entity.getPropertyLazy

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:28

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateQueryOptions

  #### Returns Promise<any>

### initialize

- initialize(): Promise<void>

- Overrides NodeInstanceEntity.initialize

  - Defined in entity_types/exclusive_gateway.ts:19

  #### Returns Promise<void>

### parseExtensionProperty

- parseExtensionProperty(propertyString: string, token: any, context: ExecutionContext): any

- Inherited from NodeInstanceEntity.parseExtensionProperty

  - Defined in entity_types/node_instance.ts:658

  #### Parameters

  - ##### propertyString: string

  - ##### token: any

  - ##### context: ExecutionContext

  #### Returns any

### proceed

- proceed(context: ExecutionContext, data: any, source: IEntity, applicationId: string, participant: string): Promise<void>

- Inherited from NodeInstanceEntity.proceed

  - Defined in entity_types/node_instance.ts:304

  #### Parameters

  - ##### context: ExecutionContext

  - ##### data: any

  - ##### source: IEntity

  - ##### applicationId: string

  - ##### participant: string

  #### Returns Promise<void>

### remove

- remove(context: ExecutionContext, options?: IPrivateRemoveOptions): Promise<boolean>

- Inherited from Entity.remove

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:55

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateRemoveOptions

  #### Returns Promise<boolean>

### save

- save(context: ExecutionContext, options?: IPrivateSaveOptions): Promise<IEntity>

- Inherited from Entity.save

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:54

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IPrivateSaveOptions

  #### Returns Promise<IEntity>

### secureCompare

- secureCompare(attributeName: string, valueToCompare: string): Promise<boolean>

- Inherited from Entity.secureCompare

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:53

  #### Parameters

  - ##### attributeName: string

  - ##### valueToCompare: string

  #### Returns Promise<boolean>

### setCalculatedProperty

- setCalculatedProperty(propertyThisContext: any, propertyName: string, value: any, context: ExecutionContext): Promise<void>

- Inherited from Entity.setCalculatedProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:31

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### value: any

  - ##### context: ExecutionContext

  #### Returns Promise<void>

### setProperty

- setProperty(propertyThisContext: any, propertyName: string, value: any): void

- Inherited from Entity.setProperty

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:29

  #### Parameters

  - ##### propertyThisContext: any

  - ##### propertyName: string

  - ##### value: any

  #### Returns void

### start

- start(context: ExecutionContext, source: IEntity): Promise<void>

- Inherited from NodeInstanceEntity.start

  - Defined in entity_types/node_instance.ts:193

  #### Parameters

  - ##### context: ExecutionContext

  - ##### source: IEntity

  #### Returns Promise<void>

### toPojo

- toPojo(context: ExecutionContext, options?: IToPojoOptions): Promise<any>

- Inherited from Entity.toPojo

  - Defined in /var/lib/jenkins/workspace/e_execution_refactoring_poc-DKPIXNUND3CLDIYTSAAPJNCSYVHRVUQDIQUYB4OTWAJ2ACSJIXEA/node_modules/@essential-projects/data_model_contracts/dist/entity.d.ts:32

  #### Parameters

  - ##### context: ExecutionContext

  - ##### Optional options: IToPojoOptions

  #### Returns Promise<any>

### triggerBoundaryEvent

- triggerBoundaryEvent(context: ExecutionContext, eventEntity: IBoundaryEventEntity, data: any): void

- Inherited from NodeInstanceEntity.triggerBoundaryEvent

  - Defined in entity_types/node_instance.ts:397

  #### Parameters

  - ##### context: ExecutionContext

  - ##### eventEntity: IBoundaryEventEntity

  - ##### data: any

  #### Returns void

### triggerEvent

- triggerEvent(context: ExecutionContext, eventType: string, data: any): void

- Inherited from NodeInstanceEntity.triggerEvent

  - Defined in entity_types/node_instance.ts:308

  #### Parameters

  - ##### context: ExecutionContext

  - ##### eventType: string

  - ##### data: any

  #### Returns void

### wait

- wait(context: ExecutionContext): Promise<void>

- Inherited from NodeInstanceEntity.wait

  - Defined in entity_types/node_instance.ts:283

  #### Parameters

  - ##### context: ExecutionContext

  #### Returns Promise<void>

Generated using TypeDoc